Bug 139133 - Subtitle menu should only appear when useful.
Summary: Subtitle menu should only appear when useful.
Status: CLOSED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: 528+ (Nightly build)
Hardware: iPhone / iPad Unspecified
: P2 Normal
Assignee: Jeremy Jones
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-01 09:53 PST by Jeremy Jones
Modified: 2014-12-04 13:24 PST (History)
6 users (show)

See Also:


Attachments
Patch (1.50 KB, patch)
2014-12-01 09:56 PST, Jeremy Jones
no flags Details | Formatted Diff | Diff
Patch (1.92 KB, patch)
2014-12-01 12:46 PST, Jeremy Jones
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Jones 2014-12-01 09:53:57 PST
Subtitle menu should only appear when useful.
Comment 1 Jeremy Jones 2014-12-01 09:54:47 PST
rdar://problem/17280893
Comment 2 Jeremy Jones 2014-12-01 09:56:28 PST
Created attachment 242319 [details]
Patch
Comment 3 Jon Lee 2014-12-01 09:58:10 PST
Comment on attachment 242319 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=242319&action=review

> Source/WebCore/platform/ios/WebVideoFullscreenInterfaceAVKit.mm:399
> +    return [[self legibleMediaSelectionOptions] count] > numDefaultLegibleOptions;

Does this also take into account audio tracks?
Comment 4 Jeremy Jones 2014-12-01 12:20:11 PST
(In reply to comment #3)
> Comment on attachment 242319 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=242319&action=review
> 
> > Source/WebCore/platform/ios/WebVideoFullscreenInterfaceAVKit.mm:399
> > +    return [[self legibleMediaSelectionOptions] count] > numDefaultLegibleOptions;
> 
> Does this also take into account audio tracks?

Audio tracks are not currently implemented. Bug: 131236

I can update this change to anticipate that implementation. 

-     return [[self audioMediaSelectionOptions] count] > 0;
+     return [[self audioMediaSelectionOptions] count] > 1;
Comment 5 Eric Carlson 2014-12-01 12:36:13 PST
Comment on attachment 242319 [details]
Patch

r=me with the change noted.
Comment 6 Jeremy Jones 2014-12-01 12:46:47 PST
Created attachment 242331 [details]
Patch
Comment 7 WebKit Commit Bot 2014-12-03 12:02:44 PST
Comment on attachment 242331 [details]
Patch

Clearing flags on attachment: 242331

Committed r176734: <http://trac.webkit.org/changeset/176734>
Comment 8 WebKit Commit Bot 2014-12-03 12:02:50 PST
All reviewed patches have been landed.  Closing bug.